#include "CS_StreamNoise.h"

CS_StreamNoise::~CS_StreamNoise()
{
	if (channelID != -1)
	{
		gameFunc->StopLoopSound(channelID);
	}
}

void CS_StreamNoise::Step()
{
	if (bPlay)
	{
		bPlay = false;
		channelID = gameFunc->PlayLoopSound(L"CS_041_stream2");
	}
}

std::shared_ptr<Entity> CreateCS_StreamNoise()
{
	return std::make_shared<CS_StreamNoise>();
}
